# Get Endpoint - GetApprovals
Returns list of approvals.
# HTTP Request
One of the following requests should be made:
GET /odata/approvals
GET /odata/approvals/$count
The endpoint supports the following OData query parameters: $select, $expand
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the load of approvals was successful. | array ApprovalEntity |
400 | If provided request data is invalid. | |
500 | When an server error occurs during the load of approvals. |
# Example
# Request
The following is an example of how to call the endpoint:
GET /odata/approvals?repository=repo1
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"value": [
{
"approvalId": 123,
"itemName": "Presentation.pptx",
"itemId": "cc3ca239-730d-4f0f-8120-3dcfd0063931"
},
{
"approvalId": 124,
"itemName": "Important Document.pdf",
"itemId": "e913acef-5c87-428b-8e3a-623c7964aa4e"
}
],
"@odata.nextLink": "..."
}